r2936 - jhalfs/trunk/BLFS

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Sun Aug 13 04:15:07 PDT 2006


Author: manuel
Date: 2006-08-13 05:15:07 -0600 (Sun, 13 Aug 2006)
New Revision: 2936

Modified:
   jhalfs/trunk/BLFS/packages.sh
Log:
Added support for branches and setting default values.

Modified: jhalfs/trunk/BLFS/packages.sh
===================================================================
--- jhalfs/trunk/BLFS/packages.sh	2006-08-13 10:01:14 UTC (rev 2935)
+++ jhalfs/trunk/BLFS/packages.sh	2006-08-13 11:15:07 UTC (rev 2936)
@@ -7,8 +7,13 @@
 declare -r SVN="svn://svn.linuxfromscratch.org"
 
 BLFS_XML=$1  # Book directory
-DOC_MODE=$2  # Action to take, only update at the moment
+DOC_MODE=$2  # Action to take, update or get
+TREE=$3      # SVN tree for the BLFS book version
 
+[[ -z $BLFS_XML ]] && BLFS_XML=blfs-xml
+[[ -z $DOC_MODE ]] && DOC_MODE=update
+[[ -z $TREE ]] && TREE=trunk/BOOK
+
 #---------------------
 # packages module
 source libs/func_packages
@@ -18,9 +23,10 @@
 BOOK_Source() {              #
 #----------------------------#
 : <<inline_doc
-    function:   Retrieve a fresh copy or upate an existing copy of the BLFS svn tree
-    input vars: $1 BLFS_XML directory
+    function:   Retrieve or upate a copy of the BLFS book
+    input vars: $1 BLFS_XML book sources directory
                 $2 DOC_MODE action get/update
+                $3 TREE     SVN tree when $2=get
     externals:  none
     modifies:   $BLFS_XML directory tree
     returns:    nothing
@@ -29,51 +35,40 @@
     on success: text messages
 inline_doc
 
-    # Redundant definitions but this function may be reused
-  local BLFS_XML=$1
-  local DOC_MODE=$2
+  case $DOC_MODE in
+    update )
+      if [[ ! -d $BLFS_XML ]] ; then
+        echo -e "\n\t$BLFS_XML is not a directory\n"
+        exit 1
+      fi
+      if [[ ! -f $BLFS_XML/x/x.xml ]] ; then
+        echo -e "\n\tLooks like $BLFS_XML is not a BLFS book sources directory\n"
+        exit 1
+      fi
 
-  if [[ -z "$BLFS_XML" ]] ; then
-    echo -e "\n\tYou must to provide the name of the BLFS book sources directory.\n"
-    exit 1
-  fi
+      if [[ -d $BLFS_XML/.svn ]] ; then
+        echo -e "\n\tUpdating the $BLFS_XML book sources ...\n"
+        pushd $BLFS_XML 1> /dev/null
+          svn up
+        popd 1> /dev/null
+        echo -e "\n\tBook sources updated."
+      else
+        echo -e "\n\tLooks like $BLFS_XML is not a svn working copy."
+        echo -e "\tSkipping BLFS sources update.\n"
+      fi
+      ;;
 
-  if [[ -n "$DOC_MODE" ]] ; then
-    case $DOC_MODE in
-      update )
-        if [[ ! -d $BLFS_XML ]] ; then
-          echo -e "\n\t$BLFS_XML is not a directory\n"
-          exit 1
-        fi
-        if [[ ! -f $BLFS_XML/x/x.xml ]] ; then
-          echo -e "\n\tLooks like $BLFS_XML is not a BLFS book sources directory\n"
-          exit 1
-        fi
-
-        if [[ -d $BLFS_XML/.svn ]] ; then
-          echo -e "\n\tUpdating the $BLFS_XML book sources ...\n"
-          pushd $BLFS_XML 1> /dev/null
-            svn up
-          popd 1> /dev/null
-          echo -e "\n\tBook sources updated."
-        else
-          echo -e "\n\tLooks like $BLFS_XML is not a svn working copy."
-          echo -e "\tSkipping BLFS sources update.\n"
-        fi
-        ;;
-
-      get )
-        [[ ! -d $BLFS_XML ]] && mkdir -pv $BLFS_XML
-        svn co $SVN/BLFS/trunk/BOOK $BLFS_XML 2>&1
-       ;;
-      * )
-         echo -e "\n\tUnknown option ${DOC_MODE} ignored.\n"
+    get )
+      [[ ! -d $BLFS_XML ]] && mkdir -pv $BLFS_XML
+      svn co $SVN/BLFS/$TREE $BLFS_XML 2>&1
       ;;
-    esac
-  fi
+    * )
+        echo -e "\n\tUnknown option ${DOC_MODE} ignored.\n"
+    ;;
+  esac
 }
 
-BOOK_Source $BLFS_XML $DOC_MODE
+BOOK_Source
 
 echo -en "\n\tGenerating packages file ..."
 generate_packages




More information about the alfs-log mailing list